Package picard.annotation

## Enum LocusFunction

- java.lang.Object
- - java.lang.Enum<LocusFunction>
  - - picard.annotation.LocusFunction

- All Implemented Interfaces:
    `Serializable`, `Comparable<LocusFunction>`

      public enum LocusFunction
      extends Enum<LocusFunction>

  Describes the behavior of a locus relative to a gene. Note that these are enumerated in a specific order: (INTERGENIC, INTRONIC, UTR, CODING, RIBOSOMAL) so that e.g. if a locus is CODING in one gene and UTR in another, we count it as CODING.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CODING` |
    `INTERGENIC` |
    `INTRONIC` |
    `RIBOSOMAL` |
    `UTR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LocusFunction` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LocusFunction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERGENIC

          public static final LocusFunction INTERGENIC

    - #### INTRONIC

          public static final LocusFunction INTRONIC

    - #### UTR

          public static final LocusFunction UTR

    - #### CODING

          public static final LocusFunction CODING

    - #### RIBOSOMAL

          public static final LocusFunction RIBOSOMAL

  - ### Method Detail

    - #### values

          public static LocusFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocusFunction c : LocusFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocusFunction valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null